summaryrefslogtreecommitdiff
path: root/t/t4012-diff-binary.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t4012-diff-binary.sh')
-rwxr-xr-xt/t4012-diff-binary.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/t4012-diff-binary.sh b/t/t4012-diff-binary.sh
index 00eeafb2ac..c509143c81 100755
--- a/t/t4012-diff-binary.sh
+++ b/t/t4012-diff-binary.sh
@@ -123,7 +123,7 @@ test_expect_success 'diff --stat with binary files and big change count' '
i=0 &&
while test $i -lt 10000; do
echo $i &&
- i=$(($i + 1))
+ i=$(($i + 1)) || return 1
done >textfile &&
git add textfile &&
git diff --cached --stat binfile textfile >output &&